

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-x86_64/pgtable.h |    1 +
 1 files changed, 1 insertion(+)

diff -puN include/asm-x86_64/pgtable.h~4level-architecture-changes-for-x86_64-pml4_offset_gate-fix include/asm-x86_64/pgtable.h
--- 25/include/asm-x86_64/pgtable.h~4level-architecture-changes-for-x86_64-pml4_offset_gate-fix	2004-12-12 01:32:45.678761392 -0800
+++ 25-akpm/include/asm-x86_64/pgtable.h	2004-12-12 01:33:46.319542592 -0800
@@ -315,6 +315,7 @@ static inline int pmd_large(pmd_t pte) {
  * the kernel-mapped segment, hence we use pgd_offset_k() here.
  */
 #define pgd_offset_gate(mm, addr)	pgd_offset_k(addr)
+#define pml4_offset_gate(mm, addr)	pml4_offset_k(addr)
 
 #define pml4_pgd_offset(pml4, address) ((pgd_t *) pml4_page(*(pml4)) + pgd_index(address))
 #define pml4_pgd_offset_k(pml4, addr) pml4_pgd_offset(pml4, addr)
_
